# artifactPackage

Information about a package included in an artifact.

### Examples

```graphql
type ArtifactPackage {
  appId: String
  appName: String
  repoName: String
  link: String
  type: String
}
```

### Fields

| Field             | Description                                  | Supported fields |
| ----------------- | -------------------------------------------- | ---------------- |
| appId `String`    | Application ID associated with the package   |                  |
| appName `String`  | Application name associated with the package |                  |
| repoName `String` | Repository name where the package is stored  |                  |
| link `String`     | Link to the package or repository            |                  |
| type `String`     | Type of the package                          |                  |

### References

#### Fields with this object:

* [{} ArtifactInfo.packages](/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-package.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
